Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### pmouseX

Examples

    // Move the mouse quickly to see the difference
    // between the current and previous position
    void draw()
    {
      background(204);
      line(mouseX, 20, pmouseX, 80);
    }

Description | The system variable pmouseX always contains the previous horizontal coordinate of the mouse. This is the horizontal position of the mouse in the frame previous to the current frame.

Syntax

    pmouseX

Parameters

Usage | Web & Application
Related | pmouseY mouseX mouseY mousePressed mousePressed() mouseReleased() mouseMoved() mouseDragged()

Updated on December 20, 2005 02:03:00pm PST